"use strict";

module.exports = function addCommonFields(protocolEvent, newEvent) {
	return Object.assign({
		id: protocolEvent.event_id, // FIXME: Make sure that all derived timeline events set this correctly, like with power levels
		sourceEventID: protocolEvent.event_id,
		timestamp: protocolEvent.origin_server_ts
	}, newEvent);
};
